# SourceConfigurationProperty

Configuration that defines how to make requests to endpoints.

- Source: Generated code
- Type last changed: v2.272.0 · 30 Sep 2026

## Example

```ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_glue as glue } from 'aws-cdk-lib';
const sourceConfigurationProperty: glue.CfnConnectionType.SourceConfigurationProperty = {
  filterConfiguration: {
    filterMode: 'filterMode',

    // the properties below are optional
    betweenConfiguration: {
      highBoundKey: 'highBoundKey',
      lowBoundKey: 'lowBoundKey',
      template: 'template',
    },
    dateTimeFormat: 'dateTimeFormat',
    filterStringConfiguration: {
      queryParameterName: 'queryParameterName',

      // the properties below are optional
      quoteCharacter: 'quoteCharacter',
      quoteStringValues: false,
    },
    operatorMappings: {
      operatorMappingsKey: 'operatorMappings',
    },
    stripQuotes: false,
  },
  paginationConfiguration: {
    cursorConfiguration: {
      nextPage: {
        defaultValue: 'defaultValue',
        key: 'key',
        propertyLocation: 'propertyLocation',
        value: {
          contentPath: 'contentPath',
          headerKey: 'headerKey',
        },
      },

      // the properties below are optional
      limitParameter: {
        defaultValue: 'defaultValue',
        key: 'key',
        propertyLocation: 'propertyLocation',
        value: {
          contentPath: 'contentPath',
          headerKey: 'headerKey',
        },
      },
    },
    offsetConfiguration: {
      limitParameter: {
        defaultValue: 'defaultValue',
        key: 'key',
        propertyLocation: 'propertyLocation',
        value: {
          contentPath: 'contentPath',
          headerKey: 'headerKey',
        },
      },
      offsetParameter: {
        defaultValue: 'defaultValue',
        key: 'key',
        propertyLocation: 'propertyLocation',
        value: {
          contentPath: 'contentPath',
          headerKey: 'headerKey',
        },
      },
    },
  },
  requestMethod: 'requestMethod',
  requestParameters: [{
    name: 'name',
    propertyType: 'propertyType',
    required: false,

    // the properties below are optional
    allowedValues: ['allowedValues'],
    defaultValue: 'defaultValue',
    keyOverride: 'keyOverride',
    propertyLocation: 'propertyLocation',
  }],
  requestPath: 'requestPath',
  responseConfiguration: {
    resultPath: 'resultPath',

    // the properties below are optional
    errorPath: 'errorPath',
  },
};
```

## Properties

- `filterConfiguration`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnConnectionType.FilterConfigurationProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_glue.CfnConnectionType.FilterConfigurationProperty.html) — Configuration that defines how filter predicates are applied to REST API requests, supporting both query parameter and filter string strategies.

- `paginationConfiguration`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnConnectionType.PaginationConfigurationProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_glue.CfnConnectionType.PaginationConfigurationProperty.html) — Configuration for handling paginated responses.

- `requestMethod`: string — The HTTP method to use.

- `requestParameters`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnConnectionType.ConnectorPropertyProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_glue.CfnConnectionType.ConnectorPropertyProperty.html)[] — Request parameters configuration.

- `requestPath`: string — The URL path for the REST endpoint.

- `responseConfiguration`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnConnectionType.ResponseConfigurationProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_glue.CfnConnectionType.ResponseConfigurationProperty.html) — Configuration for parsing JSON responses from REST API calls.
